icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons_061

Twiki < 4.2.4 Multiple Vulnerabilities

High

Synopsis

The remote host is vulnerable to multiple attack vectors.

Description

The remote host is running the TWiki web application. This version of TWiki is vulnerable to a content-parsing flaw. An attacker exploiting this flaw would send commands to the TWiki application within backticks. Upon being parsed, the commands would be executed on the remote server with the permissions of the web process. This version of TWiki is also vulnerable to a flaw where users can execute a cross-site scripting (XSS) attack.

Solution

Upgrade or patch according to vendor recommendations.